summaryrefslogtreecommitdiffstats
path: root/jjb/compass4nfv
diff options
context:
space:
mode:
authormeimei <meimei@huawei.com>2016-01-29 17:16:27 +0800
committermeimei <meimei@huawei.com>2016-01-29 17:21:46 +0800
commit4b37cc39cb4802a8d6c0780dc8698965f5797d3a (patch)
treebb6ea501b4a36d9e614fa6bcc464cb54c6406179 /jjb/compass4nfv
parente37a94ff9ae9ccea58e4e8cb85f13941826cd84b (diff)
[compass] Prevent gsutil setmeta warnings from failing the build
Change-Id: If629d4f345931e31053a0a95fc266a168c62fb86 Signed-off-by: meimei <meimei@huawei.com>
Diffstat (limited to 'jjb/compass4nfv')
-rw-r--r--jjb/compass4nfv/compass-upload-artifact.sh23
1 files changed, 21 insertions, 2 deletions
diff --git a/jjb/compass4nfv/compass-upload-artifact.sh b/jjb/compass4nfv/compass-upload-artifact.sh
index 1639fd562..34b1db98c 100644
--- a/jjb/compass4nfv/compass-upload-artifact.sh
+++ b/jjb/compass4nfv/compass-upload-artifact.sh
@@ -1,5 +1,4 @@
#!/bin/bash
-set -o errexit
set -o nounset
set -o pipefail
@@ -16,7 +15,27 @@ gsutil cp $BUILD_DIRECTORY/compass.iso gs://$GS_URL/opnfv-$OPNFV_ARTIFACT_VERSIO
gsutil cp $BUILD_DIRECTORY/opnfv.properties gs://$GS_URL/opnfv-$OPNFV_ARTIFACT_VERSION.properties > gsutil.properties.log 2>&1
gsutil cp $BUILD_DIRECTORY/opnfv.properties gs://$GS_URL/latest.properties > gsutil.latest.log 2>&1
+gsutil -m setmeta \
+ -h "Content-Type:text/html" \
+ -h "Cache-Control:private, max-age=0, no-transform" \
+ gs://$GS_URL/latest.properties \
+ gs://$GS_URL/opnfv-$OPNFV_ARTIFACT_VERSION.properties > /dev/null 2>&1
+
+gsutil -m setmeta \
+ -h "Cache-Control:private, max-age=0, no-transform" \
+ gs://$GS_URL/opnfv-$OPNFV_ARTIFACT_VERSION.iso > /dev/null 2>&1
+
+# disabled errexit due to gsutil setmeta complaints
+# BadRequestException: 400 Invalid argument
+# check if we uploaded the file successfully to see if things are fine
+gsutil ls gs://$GS_URL/opnfv-$OPNFV_ARTIFACT_VERSION.iso > /dev/null 2>&1
+if [[ $? -ne 0 ]]; then
+ echo "Problem while uploading artifact!"
+ echo "Check log $WORKSPACE/gsutil.iso.log on the machine where this build is done."
+ exit 1
+fi
+
echo
echo "--------------------------------------------------------"
echo "Done!"
-echo "Artifact is available as http://$GS_URL/opnfv-$OPNFV_ARTIFACT_VERSION.iso" \ No newline at end of file
+echo "Artifact is available as http://$GS_URL/opnfv-$OPNFV_ARTIFACT_VERSION.iso"